Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.dom4j.dtd
Class ElementDecl

    java.lang.Object
      org.dom4j.dtd.ElementDecl

public class ElementDecl
extends Object

`AttributeDecl` represents an element declaration in a DTD.

Version:
  $Revision: 1.6 $
Author:
  James Strachan

Constructor Summary
`ElementDecl()`
`ElementDecl(String name, String model)`

Method Summary
`String` | `getModel()` Getter for property model.
`String` | `getName()` Getter for property name.
`void` | `setModel(String model)` Setter for property model.
`void` | `setName(String name)` Setter for property name.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ElementDecl

    public ElementDecl()

### ElementDecl

    public ElementDecl(String name,
                       String model)

Method Detail

### getName

    public String getName()

  Getter for property name.

  Returns:
    Value of property name.

### setName

    public void setName(String name)

  Setter for property name.

  Parameters:
    `name` - New value of property name.

### getModel

    public String getModel()

  Getter for property model.

  Returns:
    Value of property model.

### setModel

    public void setModel(String model)

  Setter for property model.

  Parameters:
    `model` - New value of property model.

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 MetaStuff Ltd.. All Rights Reserved.